Subject: RE: Mixing Unix and WIN32?
From: [email-masked] (Rick Rankin)

24 Oct 1998 21:01:11 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: "Jari Aalto+list.cyg" <[email-masked]>,
        "Cygwin32 mailing list" <[email-masked]>

The problem is symbolic links. Even though WinZip understands gzip
compression and tar files, there is no way that is universal to all Windows
platforms (95/98/NT) for it to deal with symbolic links. (It's my
understanding that NT has soft-link capability, though).

If (and only if) the tar file was created on a Windows platform where
symlinks are simply a file with specific contents and the system attribute
set, then WinZip will properly store/restore symbolic links. I do this all
the time. If, however, the tar file is created on a Unix platform and
contains symbolic links, then I believe that WinZip just skips them when
extracting the tar file.

That's my take on it, anyway. Hope it helps.

--
Rick Rankin
[email-masked]

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On
> Behalf Of Jari Aalto+list.cyg
> Sent: Friday, October 23, 1998 10:25 AM
> To: Cygwin32 mailing list
> Subject: Re: Mixing Unix and WIN32?
>
>
> |Tue 1998-10-20 Mumit Khan <[email-masked]> list.cyg
> | On Mon, 19 Oct 1998, Randy Campbell wrote:
> |
> | >
> | > I'll give those a try.  I've seen quite a few links to egcs,
> but where do I
> | > find
> | > binutils 2.9.1?
> |
> | After installing egcs-1.1, which includes a newer snapshot of
> binutils, you
> | can overwrite the binutils stuff with the older 2.9.1 distribution (and
> | that *will* add some bugs that's been fixed since) from:
> |
> |   ftp://ftp.xraylith.wisc.edu/pub/khan/gnu-win32/cygwin32/releases/
>
> Isn't the warning about winzip outdated by now when winzip 7.0
> can natively handle tar and gz files?
>
>     3. INSTALL EGCS-1.1:
>
>        a. If you have the whole file egcs-1.1-cygb19.tar.gz
>
>           % cd $CYGFS
>           % tar zxvf /tmp/egcs-1.1-cygb19.tar.gz
>
>           !! WARNING: DO NOT USE WINZIP OR SOME SUCH WINDOWS TOOL
> TO UNPACK !!
>
>
> jari
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".